Next: IERRNO, Previous: IDATE, Up: Intrinsic Procedures

### 9.144 `IEOR` — Bitwise logical exclusive or

Description:
  `IEOR` returns the bitwise Boolean exclusive-OR of I and J.
Standard:
  Fortran 95 and later, has overloads that are GNU extensions
Class:
  Elemental function
Syntax:
  `RESULT = IEOR(I, J)`
Arguments:

  I | The type shall be `INTEGER`.
  J | The type shall be `INTEGER`, of the same kind as I. (As a GNU extension, different kinds are also permitted.)

Return value:
  The return type is `INTEGER`, of the same kind as the arguments. (If the argument kinds differ, it is of the same kind as the larger argument.)
Specific names:

  Name | Argument | Return type | Standard
  `IEOR(A)` | `INTEGER A` | `INTEGER` | Fortran 95 and later
  `BIEOR(A)` | `INTEGER(1) A` | `INTEGER(1)` | GNU extension
  `IIEOR(A)` | `INTEGER(2) A` | `INTEGER(2)` | GNU extension
  `JIEOR(A)` | `INTEGER(4) A` | `INTEGER(4)` | GNU extension
  `KIEOR(A)` | `INTEGER(8) A` | `INTEGER(8)` | GNU extension

See also:
  IOR, IAND, IBITS, IBSET, IBCLR, NOT